Subject: Re: [apps-discuss] [webfinger] Automated Service Configuration now uses webfinger

From: "Markus Lanthaler" <[email-masked]>
Date: Fri, 5 Jul 2013 16:55:34 +0200

CC'ing apps-discuss

On Friday, July 05, 2013 4:17 PM, Cyrus Daboo wrote:
> Hi folks,
> I have recently posted a new version of the Automated Service
> Configuration
> draft (formerly known as Aggregated Service Discovery):
> <https://datatracker.ietf.org/doc/draft-daboo-aggregated-service-
> discovery/>.
> 
> This protocol now makes use of webfinger to "bootstrap" discovery of
> the config document. Hopefully it will serve as a useful example of how
> webfinger can be used by specific applications. I would appreciate
> feedback from the webfinger community on how we have gone about using
> webfinger, thanks.

Looks good to me. The only thing that bugs me is that the  " Automated
Service Configuration Document Format" you define doesn't have its own media
type. That will make it impossible to reuse in other scenarios and ambiguous
how to process the target of a service-configuration link because other
people may start using their own JSON flavors. I would suggest to define a
media type or at list a profile URI to make this unambiguous.

HTH,
Markus

--
Markus Lanthaler
@markuslanthaler

---

From: Cyrus Daboo <[email-masked]>
Date: Tue, 09 Jul 2013 09:51:36 -0400

Hi Markus,

--On July 5, 2013 at 4:55:34 PM +0200 Markus Lanthaler 
<[email-masked]> wrote:

> Service Configuration Document Format" you define doesn't have its own
> media type. That will make it impossible to reuse in other scenarios and
> ambiguous how to process the target of a service-configuration link
> because other people may start using their own JSON flavors. I would
> suggest to define a media type or at list a profile URI to make this
> unambiguous.
>

Agreed - I think that makes sense - I will add that to the next revision of 
the spec.

-- 
Cyrus Daboo